/* giFTui
 * Copyright (C) 2003 the giFTui team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __UI_SEARCH_H__
#define __UI_SEARCH_H__

/*
  GiftuiChild
      +----GiftuiChildSearch
*/

#define GIFTUI_TYPE_CHILD_SEARCH (giftui_child_search_get_type ())
#define GIFTUI_CHILD_SEARCH(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GIFTUI_TYPE_CHILD_SEARCH, GiftuiChildSearch))
#define GIFTUI_CHILD_SEARCH_CLASS(class) (G_TYPE_CHECK_CLASS_CAST ((class), GIFTUI_TYPE_CHILD_SEARCH, GiftuiChildSearchClass))
#define GIFTUI_IS_CHILD_SEARCH(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GIFTUI_TYPE_CHILD_SEARCH))
#define GIFTUI_IS_CHILD_SEARCH_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE ((class), GIFTUI_TYPE_CHILD_SEARCH))
#define GIFTUI_CHILD_SEARCH_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GIFTUI_TYPE_CHILD_SEARCH, GiftuiChildSearchClass))

typedef struct _GiftuiChildSearch GiftuiChildSearch;
typedef struct _GiftuiChildSearchClass GiftuiChildSearchClass;

struct _GiftuiChildSearch
{
	GiftuiChild parent_instance;
	
	/* < private_data > */
	guint running;
	
	GtkWidget *combo_include, *combo_exclude; /* Where we have got text. */
	GtkWidget *type, *network; /* Type of file */
	
	GtkWidget *list; /* Where we put results */
	GtkWidget *popup; /* Popup menu */
};

struct _GiftuiChildSearchClass
{
	GiftuiChildClass parent_class;
};

GType giftui_child_search_get_type (void);
GtkWidget *giftui_child_search_new (void);

#endif
